> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users

> The tenant's users, sorted by email. Requires a system key with ``users:read``.



## OpenAPI

````yaml get /v1/admin/users
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/admin/users:
    get:
      tags:
        - V1 - Users
      summary: List Users
      description: >-
        The tenant's users, sorted by email. Requires a system key with
        ``users:read``.
      operationId: list_users
      parameters:
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Email or name contains
            title: Search
          description: Email or name contains
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - active
                  - pending
                  - suspended
                type: string
              - type: 'null'
            title: Status
        - name: workspace_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Workspace Id
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 1000
                minimum: 1
              - type: 'null'
            description: Page size; every user when omitted
            title: Limit
          description: Page size; every user when omitted
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            default: 0
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TenantUser'
                title: Response List Users
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    TenantUser:
      properties:
        id:
          type: string
          title: Id
        email:
          type: string
          title: Email
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        tenant_admin:
          type: boolean
          title: Tenant Admin
        is_active:
          type: boolean
          title: Is Active
        status:
          type: string
          enum:
            - active
            - pending
            - suspended
          title: Status
        tenant_role_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Role Id
        tenant_role:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Role
      type: object
      required:
        - id
        - email
        - tenant_admin
        - is_active
        - status
      title: TenantUser
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.